* {
  -webkit-tap-highlight-color: rgba(
    0,
    0,
    0,
    0
  ); /* make transparent link selection, adjust last value opacity 0 to 1.0 */
}

body {
  -webkit-touch-callout: none; /* prevent callout to copy image, etc when tap to hold */
  -webkit-text-size-adjust: none; /* prevent webkit from resizing text to fit */
  -webkit-user-select: none; /* prevent copy paste, to allow, change 'none' to 'text' */
  /* background-color: #666; */
  /* background-image: linear-gradient(top, #a7a7a7 0%, #424242 51%); */
  font-family: system-ui, -apple-system, -apple-system-font, "Segoe UI",
    "Roboto", sans-serif;
  font-size: 12px;
  height: 100vh;
  margin: 0px;
  padding: 0px;
  /* Padding to avoid the "unsafe" areas behind notches in the screen */
  padding: env(safe-area-inset-top, 0px) env(safe-area-inset-right, 0px)
    env(safe-area-inset-bottom, 0px) env(safe-area-inset-right, 0px);
  width: 100%;
}

/* Portrait layout (default) */
.app {
  background: url(../img/logo.png) no-repeat center top; /* 170px x 200px */
  position: absolute; /* position in the center of the screen */
  left: 50%;
  top: 50%;
  height: 50px; /* text area height */
  width: 225px; /* text area width */
  text-align: center;
  padding: 180px 0px 0px 0px; /* image height is 200px (bottom 20px are overlapped with text) */
  margin: -115px 0px 0px -112px; /* offset vertical: half of image height and text area height */
  /* offset horizontal: half of text area width */
}

/* Landscape layout (with min-width) */
@media screen and (min-aspect-ratio: 1/1) and (min-width: 400px) {
  .app {
    background-position: left center;
    padding: 75px 0px 75px 170px; /* padding-top + padding-bottom + text area = image height */
    margin: -90px 0px 0px -198px; /* offset vertical: half of image height */
    /* offset horizontal: half of image width and text area width */
  }
}

h1 {
  font-size: 24px;
  font-weight: normal;
  margin: 0px;
  overflow: visible;
  padding: 0px;
  text-align: center;
}

.event {
  border-radius: 4px;
  -webkit-border-radius: 4px;
  color: #ffffff;
  font-size: 12px;
  margin: 0px 30px;
  padding: 2px 0px;
}

.event.listening {
  background-color: #333333;
  display: block;
}

.event.received {
  background-color: #4b946a;
  display: none;
}

@keyframes fade {
  from {
    opacity: 1;
  }
  50% {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}

@-webkit-keyframes fade {
  from {
    opacity: 1;
  }
  50% {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}

.blink {
  animation: fade 3000ms infinite;
  -webkit-animation: fade 3000ms infinite;
}

.capitalize-button {
  text-transform: capitalize;
}

.chart {
  overflow-x: hidden;
}
.cp {
  cursor: pointer;
}
.Single--Node {
  fill: #fff;
  stroke: #ccc;
  stroke-width: 1;
  border-radius: 10px;
}

.Title {
  font-weight: 600;
  font-size: 15px;
}

.TermType,
.Duration {
  fill: #989898;
  font-size: 11px;
  text-transform: uppercase;
  font-weight: 600;
}
.second-title {
  font-size: 13px;
}

.date-line {
  stroke: #f5f5f5;
  stroke-width: 1;
}
.Date-Block,
.Date-Block-Outline {
  /* fill: #fff; */
  stroke: #ccc;
}
.start-lines,
.end-lines {
  stroke-width: 1;
}

.gantt-wrapper {
  display: flex;
  flex-direction: column;
  border: 1px solid #767676;
  border-radius: 5px 5px 0px 0px;
  height: 100vh;
}

.chart {
  overflow: auto;
}

.gantt-top {
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: 150px;
}

.range-select p {
  margin-left: 20px;
}

.gantt-top p,
.gantt-top select,
.gantt-top .range-select,
.gantt-top button {
  display: inline-block;
}
.empty_message_block {
  border: #ccc;
  border-radius: 4px;
}

.CurrentDay-Area {
  stroke: #60bdf1;
}

.focus-overlay {
  fill: none;
  pointer-events: all;
}

.focus circle {
  fill: steelblue;
}

.focus text {
  font-size: 14px;
}

.focus-tooltip {
  fill: white;
  fill-opacity: 0.75;
  stroke: #000;
}

.focus-tooltip-date, .focus-tooltip-value , .focus-tooltip-value2 {
  font-weight: bold;
}